> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Order

> Get the required, optional, and integration specific fields by calling the [integrations](/api-reference/mgmt/integrations) endpoint.



## OpenAPI

````yaml put /wms/orders/{order_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/orders/{order_id}:
    put:
      tags:
        - wms
        - Orders
      summary: Update Order
      description: >-
        Get the required, optional, and integration specific fields by calling
        the [integrations](/api-reference/mgmt/integrations) endpoint.
      operationId: put_wms_update_order
      parameters:
        - in: path
          name: order_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatewmsOrderInputSchema'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/wmsUpdateOrderResponse'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    UpdatewmsOrderInputSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/UpdateWmsOrderSchema--Base__Schema--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Amphora--'
        - $ref: >-
            #/components/schemas/UpdatewmsOrder--BlueBox__-_IDrive__Fulfillment_---
        - $ref: '#/components/schemas/UpdatewmsOrder--Cin7__Core__-_Dear__Systems_---'
        - $ref: '#/components/schemas/UpdatewmsOrder--Deposco--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Extensiv__-_3PL__Central_---'
        - $ref: '#/components/schemas/UpdatewmsOrder--FFE--'
        - $ref: '#/components/schemas/UpdatewmsOrder--GoBolt--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Infoplus--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Logiwa--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Logiwa__IO--'
        - $ref: '#/components/schemas/UpdatewmsOrder--MasonHub--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Mintsoft--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Ongoing__WMS--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Packiyo--'
        - $ref: '#/components/schemas/UpdatewmsOrder--WMS__Sandbox--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Shipfusion--'
        - $ref: '#/components/schemas/UpdatewmsOrder--ShipHero--'
        - $ref: '#/components/schemas/UpdatewmsOrder--ShipMonk--'
        - $ref: '#/components/schemas/UpdatewmsOrder--ShippingTree--'
        - $ref: '#/components/schemas/UpdatewmsOrder--ShipStation--'
        - $ref: '#/components/schemas/UpdatewmsOrder--ShipStream--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Shipwire--'
        - $ref: '#/components/schemas/UpdatewmsOrder--SKUSavvy--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Linnworks__Core__-_SKUVault_---'
        - $ref: '#/components/schemas/UpdatewmsOrder--Sojo--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Unleashed--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Veeqo--'
        - $ref: '#/components/schemas/UpdatewmsOrder--VeraCore--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Warehance--'
        - $ref: '#/components/schemas/UpdatewmsOrder--Whiplash__-_Ryder_---'
        - $ref: '#/components/schemas/UpdatewmsOrder--Zenventory--'
      title: UpdatewmsOrderInputSchema
    wmsUpdateOrderResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsOrderApiItemSchema'
        id:
          type: string
          description: The ID of the object that has been created or modified
          example: id
        unused_fields:
          type: array
          description: Unused fields
          items:
            type: string
            description: ''
      required:
        - id
        - unused_fields
      additionalProperties: false
      title: wmsUpdateOrderResponse
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    UpdateWmsOrderSchema--Base__Schema--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the order. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        order_number:
          type: string
          description: >-
            A user-friendly identifier for their order. Defaults to
            `reference_id` if not provided.
          example: order_number
        channel_object:
          $ref: '#/components/schemas/ChannelSchema'
          description: The channel the order was placed on.
        trading_partner:
          type: string
          description: >-
            For retail/EDI orders, the trading partner who placed the order
            (e.g. Target, Walmart).
          example: Target
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        service_level:
          type: string
          description: The type of shipping method requested by the customer.
          example: Standard
        invoice_currency_code:
          type: string
          description: >-
            The currency used for this order. If not provided explicitly,
            defaults to USD.
          example: USD
        total_price:
          type: number
          description: The total price a customer paid for the order.
          example: 13.49
        total_tax:
          type: number
          description: The total tax on the order.
          example: 1.5
        total_discount:
          type: number
          description: The total amount discounted from the order.
          example: 2.5
        total_shipping:
          type: number
          description: The total shipping cost for the order incurred by the customer.
          example: 3.5
        ship_to_address:
          $ref: '#/components/schemas/UpdateOWmsrderShipToAddress'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - product_id: product_id
              sku: sku
              quantity: 1
              unit_price: 10.99
              discount_amount: 1.5
          items:
            $ref: '#/components/schemas/UpdateWmsOrderLineItems'
        status:
          type: string
          enum:
            - open
            - confirmed
            - processing
            - picked
            - packed
            - partially_fulfilled
            - fulfilled
            - exception
            - cancelled
            - backordered
            - other
          description: >-
            The status of the order. See the [order information](info) for more
            details.
          example: open
      required:
        - channel_object
        - invoice_currency_code
        - order_number
        - reference_id
        - service_level
        - ship_to_address
        - shipping_method_id
        - status
        - total_discount
        - total_price
        - total_shipping
        - total_tax
        - trading_partner
        - warehouse_customer_id
      additionalProperties: true
      title: Base Schema
    UpdatewmsOrder--Amphora--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressAmphora'
      required:
        - ship_to_address
      additionalProperties: false
      title: Amphora
    UpdatewmsOrder--BlueBox__-_IDrive__Fulfillment_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressBluebox'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderCreateLineItembluebox'
        carrier_id:
          type: string
          description: >-
            The ID of the carrier used to ship the order to the customer. If
            carrier_name is also provided, this will take precedence.
          example: fedex
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        trading_partner:
          type: string
          description: >-
            For retail/EDI orders, the trading partner who placed the order
            (e.g. Target, Walmart).
          example: Target
      required:
        - carrier_id
        - shipping_method_id
      additionalProperties: false
      title: BlueBox (IDrive Fulfillment)
    UpdatewmsOrder--Cin7__Core__-_Dear__Systems_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressDear-Systems'
        bill_to_address:
          $ref: '#/components/schemas/BillToAddressDear-Systems'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - product_id: null
              quantity: 0
              unit_price: 0
              tax: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemdear-systems'
      required:
        - warehouse_id
      additionalProperties: false
      title: Cin7 Core (Dear Systems)
    UpdatewmsOrder--Deposco--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        ship_to_address:
          $ref: '#/components/schemas/OrderShipToAddressUpdateDeposco'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
              unit_cost: 0
              notes:
                - title: Note Title
                  body: Note Body
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemdeposco'
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        channel_object:
          $ref: '#/components/schemas/ChannelSchema'
          description: The channel the order was placed on.
        required_ship_date:
          type: string
          format: date-time
          description: The date the order must be shipped by.
          example: '2021-01-01T12:00:00Z'
        trading_partner:
          type: string
          description: >-
            For retail/EDI orders, the trading partner who placed the order
            (e.g. Target, Walmart).
          example: Target
        cancel_by_ship_date:
          type: string
          format: date-time
          description: Date to cancel the order by
          example: '2023-10-01T00:00:00Z'
        custom_attribute_1:
          type: string
          description: Custom attribute 1
          example: Custom attribute 1
        custom_attribute_2:
          type: string
          description: Custom attribute 2
          example: Custom attribute 2
        custom_attribute_6:
          type: string
          description: Custom attribute 6
          example: Custom attribute 6
        custom_attribute_7:
          type: string
          description: Custom attribute 7
          example: Custom attribute 7
        order_type:
          type: string
          default: Sales Order
          enum:
            - Sales Order
            - Outbound Transfer Order
          description: The type of Deposco order, defaults to Sales Order.
        freight_account_number:
          type: string
          description: The freight account number.
          example: '123456789'
        notes:
          type: array
          description: List of the custom fields
          example:
            - title: Note Title
              body: Note Body
          items:
            $ref: '#/components/schemas/Notes'
      additionalProperties: false
      title: Deposco
    UpdatewmsOrder--Extensiv__-_3PL__Central_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressExtensiv'
        billing_code:
          type: string
          enum:
            - default_Prepaid
            - default_FreightCollect
            - default_BillThirdParty
            - fedex_collect
            - fedex_recipient
            - fedex_sender
            - fedex_third_party
            - ups_BillThirdParty
            - ups_ConsigneeBilled
            - ups_FreightCollect
            - ups_Prepaid
          description: Billing Type
        carrier_id:
          type: string
          description: >-
            The ID of the carrier used to ship the order to the customer. If
            carrier_name is also provided, this will take precedence.
          example: fedex
        carrier_account_number:
          type: string
          description: >-
            Carrier account number to bill freight against (e.g. for third-party
            billing).
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - product_id: null
              sku: null
              quantity: 0
              unit_price: 0
              custom_fields:
                - name: CustomField
                  value: CustomValue
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemextensiv-3pl-central'
        trading_partner:
          type: string
          description: >-
            For retail/EDI orders, the trading partner who placed the order
            (e.g. Target, Walmart).
          example: Target
        custom_fields:
          type: array
          description: List of the custom fields
          example:
            - name: CustomField
              value: CustomValue
          items:
            $ref: '#/components/schemas/CustomField'
        channel_object:
          $ref: '#/components/schemas/ChannelSchema'
          description: The channel the order was placed on.
        total_discount:
          type: number
          description: The total amount discounted from the order.
          example: 2.5
        total_shipping:
          type: number
          description: The total shipping cost for the order incurred by the customer.
          example: 3.5
        total_tax:
          type: number
          description: The total tax on the order.
          example: 1.5
        gift_message:
          type: string
          description: Gift message
        earliest_ship_date:
          type: string
          format: date-time
          description: The projected ship date of the order
        ship_cancel_date:
          type: string
          format: date-time
          description: Ship cancel date
        purchase_order_number:
          type: string
          description: Purchase order number
        bill_to_address:
          $ref: '#/components/schemas/BillToAddressExtensiv'
        notes:
          type: string
          description: Notes
      additionalProperties: false
      title: Extensiv (3PL Central)
    UpdatewmsOrder--FFE--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressFfe'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              external_id: retail item number
          items:
            $ref: '#/components/schemas/WmsOrderCreateLineItemffe'
        notes:
          type: array
          description: List of notes associated with the order.
          example:
            - note_1
            - note_2
          items:
            type: string
            description: A note associated with the order.
            example: note
        purchase_order_number:
          type: string
          description: The purchase order number associated with the order.
          example: PO123
        is_edi:
          type: boolean
          description: Whether the order is an EDI order.
          example: false
        trading_partner:
          type: string
          description: >-
            For retail/EDI orders, the trading partner who placed the order
            (e.g. Target, Walmart).
          example: Target
        carrier_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the carrier used to ship the order to the customer. If
            carrier_name is also provided, this will take precedence. Maps to
            FFE's PreferredCarrierId. Use GET /wms/shipping-methods (carrier_id)
            to find valid IDs. If omitted, the carrier is inferred from the
            shipping_method_id composite.
          example: fedex
        shipping_method_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence. Maps to FFE's PreferredCarrierServiceTypeId.
            Pass the id field returned by GET /wms/shipping-methods, which has
            the composite format '{carrier_id}-{service_type_id}'. A bare
            service_type_id (e.g. '21') is also accepted, in which case
            carrier_id should be supplied separately.
          example: fedex_ground
      required:
        - line_items
      additionalProperties: false
      title: FFE
    UpdatewmsOrder--GoBolt--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        service_level:
          type: string
          description: The type of shipping method requested by the customer.
          example: Standard
        signature_required:
          type: boolean
          description: ''
          example: true
        channel_object:
          $ref: '#/components/schemas/ChannelSchema'
          description: The channel the order was placed on.
        notes:
          type: string
          description: ''
        tags:
          type: array
          description: >-
            A list of tags associated with the order. Tags that are represented
            as key-value pairs in the WMS will be represented as a single string
            formatted as `key:value`.
          example:
            - tag_0
          items:
            type: string
            description: A tag associated with the order.
            example: tag_0
        ship_to_address:
          $ref: '#/components/schemas/UpdateShipToAddressGobolt'
      additionalProperties: false
      title: GoBolt
    UpdatewmsOrder--Infoplus--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the order. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details. Used for 3PL accounts.
          example: warehouse_customer_id
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        bill_to_address:
          $ref: '#/components/schemas/BillToAddressInfoplus'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressInfoplus'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineIteminfoplus'
        channel_object:
          $ref: '#/components/schemas/ChannelSchema'
          description: The channel the order was placed on.
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        shipping_method_name:
          type: string
          description: >-
            The name of the shipping method used to ship the order. If
            shipping_method_id is also provided, that will take precedence. May
            vary from the shipping methods returned at the package level.
          example: FedEx Ground
        tags:
          type: array
          description: A list of tags associated with the order.
          example:
            - tag_0
          items:
            type: string
            description: A tag associated with the order.
            example: tag_0
        customer_po_number:
          type: string
          description: Customer's purchase order number
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        gift_message:
          type: string
          description: Gift message
      required:
        - line_items
        - warehouse_id
      additionalProperties: false
      title: Infoplus
    UpdatewmsOrder--Logiwa--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressLogiwa'
        status:
          type: string
          enum:
            - open
            - confirmed
            - processing
            - fulfilled
            - cancelled
            - exception
          description: >-
            The status of the order. See the [order information](info) for more
            details.
          example: open
      required:
        - warehouse_id
      additionalProperties: false
      title: Logiwa
    UpdatewmsOrder--Logiwa__IO--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        order_date:
          type: string
          format: date-time
          description: ''
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        shipping_method_name:
          type: string
          description: >-
            The name of the shipping method used to ship the order. If
            shipping_method_id is also provided, that will take precedence. May
            vary from the shipping methods returned at the package level.
          example: FedEx Ground
        carrier_id:
          type: string
          description: >-
            The ID of the carrier used to ship the order to the customer. If
            carrier_name is also provided, this will take precedence.
          example: fedex
        carrier_name:
          type: string
          description: >-
            The name of the carrier used to ship the order to the customer. If
            carrier_id is also provided, that will take precedence. May vary
            from the carriers returned at the package level.
          example: FedEx
        notes:
          type: string
          description: ''
        shipment_order_type:
          type: string
          description: ''
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              pack_type: Each
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemlogiwa-io'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressLogiwa-Io'
      required:
        - line_items
        - order_date
        - ship_to_address
        - warehouse_id
      additionalProperties: false
      title: Logiwa IO
    UpdatewmsOrder--MasonHub--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressMasonhub'
        type:
          type: string
          default: customer
          enum:
            - customer
            - destroy
            - packAndHold
            - quarantine
            - returnToVendor
            - transfer
            - wholesale
            - workOrder
            - dropship
          description: The type of order.
        carrier_id:
          type: string
          default: rate_shop
          enum:
            - rate_shop
            - UPS
            - USPS
            - FEDEX
            - DHL
            - willCall
          description: >-
            The ID of the carrier used to ship the order to the customer. If
            carrier_name is also provided, this will take precedence.
          example: fedex
        service_level:
          type: string
          enum:
            - economy
            - nextDayAirEarlyAM
            - nextDay
            - guaranteedNextDay
            - 2-day
            - 3-day
            - guaranteed2Day
            - ground
            - priority
            - LTL
            - FTL
            - willCall
            - international
          description: The type of shipping method requested by the customer.
          example: Standard
        priority:
          type: integer
          default: 100
          minimum: 1
          maximum: 10000
          description: >-
            The priority number of the order. 1 is the highest priority and
            should only be used in special circumstances.
          example: 0
        shipping_address_type:
          type: string
          default: residential
          enum:
            - business
            - residential
          description: Business or residential address.
        passthrough_fields:
          type: object
          description: >-
            Use this object to pass fields directly to the underlying API. You
            will have to read the API's documentation to know what fields are
            available, and cannot override fields that are managed by Trackstar.
          example:
            custom_field_1: value1
            custom_field_2: 123
          additionalProperties: {}
      required:
        - service_level
        - ship_to_address
      additionalProperties: false
      title: MasonHub
    UpdatewmsOrder--Mintsoft--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemmintsoft'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressMintsoft'
        channel_object:
          $ref: '#/components/schemas/ChannelSchema'
          description: The channel the order was placed on.
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
      additionalProperties: false
      title: Mintsoft
    UpdatewmsOrder--Ongoing__WMS--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        delivery_date:
          type: string
          format: date-time
          description: Expected delivery date
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemongoing'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressOngoing'
      required:
        - order_number
      additionalProperties: false
      title: Ongoing WMS
    UpdatewmsOrder--Packiyo--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        service_level:
          type: string
          description: The type of shipping method requested by the customer.
          example: Standard
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItempackiyo'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressPackiyo'
      additionalProperties: false
      title: Packiyo
    UpdatewmsOrder--WMS__Sandbox--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: so_97463
        channel_object:
          $ref: '#/components/schemas/SandboxChannelIdSchema'
          description: The channel the order was placed on.
        shipping_method_id:
          type: string
          enum:
            - N/A - Connect an account to see options
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        service_level:
          type: string
          description: The type of shipping method requested by the customer.
          example: Standard
        invoice_currency_code:
          type: string
          description: >-
            The currency used for this order. If not provided explicitly,
            defaults to USD.
          example: USD
        total_price:
          type: number
          description: The total price a customer paid for the order.
          example: 13.49
        ship_to_address:
          $ref: '#/components/schemas/SandboxUpdateOrderShipToAddress'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 1
          items:
            $ref: '#/components/schemas/SandboxUpdateOrderLineItems'
      additionalProperties: false
      title: WMS Sandbox
    UpdatewmsOrder--Shipfusion--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemshipfusion'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressShipfusion'
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        carrier_id:
          type: string
          description: >-
            The ID of the carrier used to ship the order to the customer. If
            carrier_name is also provided, this will take precedence.
          example: fedex
      required:
        - line_items
        - order_number
        - ship_to_address
        - shipping_method_id
        - warehouse_id
      additionalProperties: false
      title: Shipfusion
    UpdatewmsOrder--ShipHero--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the order. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        ship_to_address:
          $ref: '#/components/schemas/UpdateOrderShipToAddressShiphero'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
              warehouse_id: null
              quantity_pending_fulfillment: 0
          items:
            $ref: '#/components/schemas/WmsOrderUpdateLineItemshiphero'
        labels:
          type: array
          description: >-
            List of labels to be created for the shipment. If labels are
            provided, no other fields can be updated.
          items:
            $ref: '#/components/schemas/Labels'
        order_holds:
          $ref: '#/components/schemas/OrderHolds'
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        status:
          type: string
          enum:
            - fulfilled
          description: >-
            The status of the order. See the [order information](info) for more
            details.
          example: fulfilled
        packing_note:
          type: string
          description: Packing Note for the order
        gift_note:
          type: string
          description: Gift note for the order
        tags:
          type: array
          description: >-
            A list of tags associated with the order. Tags that are represented
            as key-value pairs in the WMS will be represented as a single string
            formatted as `key:value`.
          example:
            - tag_0
          items:
            type: string
            description: A tag associated with the order.
            example: tag_0
        required_ship_date:
          type: string
          format: date-time
          description: The date the order must be shipped by.
          example: '2021-01-01T12:00:00Z'
      additionalProperties: false
      title: ShipHero
    UpdatewmsOrder--ShipMonk--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        shipping_method_name:
          type: string
          description: >-
            The name of the shipping method used to ship the order. If
            shipping_method_id is also provided, that will take precedence. May
            vary from the shipping methods returned at the package level.
          example: FedEx Ground
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              name: null
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemshipmonk'
        ship_to_address:
          $ref: '#/components/schemas/UpdateOrderShipToAddressShipmonk'
      additionalProperties: false
      title: ShipMonk
    UpdatewmsOrder--ShippingTree--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderUpdateLineItemshipping-tree'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressShipping-Tree'
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        tags:
          type: array
          description: >-
            A list of tags associated with the order. Tags that are represented
            as key-value pairs in the WMS will be represented as a single string
            formatted as `key:value`.
          example:
            - tag_0
          items:
            type: string
            description: A tag associated with the order.
            example: tag_0
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
      additionalProperties: false
      title: ShippingTree
    UpdatewmsOrder--ShipStation--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        required_ship_date:
          type: string
          format: date-time
          description: The date the order must be shipped by.
          example: '2021-01-01T12:00:00Z'
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        shipping_method_name:
          type: string
          description: >-
            The name of the shipping method used to ship the order. If
            shipping_method_id is also provided, that will take precedence. May
            vary from the shipping methods returned at the package level.
          example: FedEx Ground
        bill_to_address:
          $ref: '#/components/schemas/UpdateBillingAddressShipstation'
        ship_to_address:
          $ref: '#/components/schemas/UpdateOrderShipToAddressShipstation'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - quantity: 0
              sku: null
              unit_price: 10.99
              set_or_update_customs_value: true
              country_of_origin: null
              harmonized_tariff_code: null
              customs_description: null
          items:
            $ref: '#/components/schemas/WmsOrderUpdateLineItemshipstation'
      additionalProperties: false
      title: ShipStation
    UpdatewmsOrder--ShipStream--:
      type: object
      properties:
        custom_fields:
          type: string
          description: Connect an account to see custom fields.
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        shipping_method_name:
          type: string
          description: >-
            The name of the shipping method used to ship the order. If
            shipping_method_id is also provided, that will take precedence. May
            vary from the shipping methods returned at the package level.
          example: FedEx Ground
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressShipstream'
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      additionalProperties: false
      title: ShipStream
    UpdatewmsOrder--Shipwire--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        order_number:
          type: string
          minLength: 1
          maxLength: 25
          description: A user-friendly identifier for their order.
          example: order_number
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressShipwire'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemshipwire'
      additionalProperties: false
      title: Shipwire
    UpdatewmsOrder--SKUSavvy--:
      type: object
      properties:
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressSkusavvy'
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      additionalProperties: false
      title: SKUSavvy
    UpdatewmsOrder--Linnworks__Core__-_SKUVault_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        status:
          type: string
          enum:
            - open
            - confirmed
            - processing
            - fulfilled
            - exception
            - cancelled
          description: >-
            The status of the order. See the [order information](info) for more
            details.
          example: open
      required:
        - status
      additionalProperties: false
      title: Linnworks Core (SKUVault)
    UpdatewmsOrder--Sojo--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        memo:
          type: string
          description: A note or memo that will be added to the order for internal use
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        expected_ship_date:
          type: string
          format: date
          description: The date when the shipment is expected to be dispatched.
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - product_id: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemsojo'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressSojo'
      additionalProperties: false
      title: Sojo
    UpdatewmsOrder--Unleashed--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        ship_to_address:
          $ref: '#/components/schemas/UpdateShipToAddressUnleashed'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderUpdateLineItemunleashed'
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
      additionalProperties: false
      title: Unleashed
    UpdatewmsOrder--Veeqo--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        channel_object:
          $ref: '#/components/schemas/ChannelIdSchema'
          description: The channel the order was placed on.
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressVeeqo'
        order_number:
          type: string
          description: A user-friendly identifier for their order.
          example: order_number
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - product_id: null
              unit_price: 0
              quantity: 0
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemveeqo'
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence.
          example: fedex_ground
        shipping_method_name:
          type: string
          description: >-
            The name of the shipping method used to ship the order. If
            shipping_method_id is also provided, that will take precedence. May
            vary from the shipping methods returned at the package level.
          example: FedEx Ground
      additionalProperties: false
      title: Veeqo
    UpdatewmsOrder--VeraCore--:
      type: object
      properties:
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: null
              quantity: 0
              unit_price: 0
          items:
            $ref: '#/components/schemas/WmsOrderUpdateLineItemveracore'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressVeracore'
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
      additionalProperties: false
      title: VeraCore
    UpdatewmsOrder--Warehance--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        service_level:
          type: string
          description: The type of shipping method requested by the customer.
          example: Standard
        shipping_method_id:
          type: string
          description: Use service_level instead.
        warehouse_id:
          type: string
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
      additionalProperties: false
      title: Warehance
    UpdatewmsOrder--Whiplash__-_Ryder_---:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        shipping_method_id:
          type: string
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. If shipping_method_name is also provided, this
            will take precedence. Can pass in either shipping_method_id or
            shipping_method_name + carrier_id
          example: fedex_ground
        shipping_method_name:
          type: string
          description: >-
            The name of the shipping method used to ship the order. If
            shipping_method_id is also provided, that will take precedence. May
            vary from the shipping methods returned at the package level. Can
            pass in either shipping_method_id or shipping_method_name +
            carrier_id
          example: FedEx Ground
        carrier_id:
          type: string
          description: >-
            The ID of the carrier used to ship the order to the customer. If
            carrier_name is also provided, this will take precedence. Can pass
            in either shipping_method_id or shipping_method_name + carrier_id
          example: fedex
        order_type:
          type: string
          enum:
            - direct_to_consumer
            - dropship
            - retail
            - transfer
            - value_added_service
            - wholesale
          description: The type of order.
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressWhiplash'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: sku
              quantity: 2
              unit_price: 2
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemwhiplash'
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the order. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
      additionalProperties: false
      title: Whiplash (Ryder)
    UpdatewmsOrder--Zenventory--:
      type: object
      properties:
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddressZenventory'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - sku: sku
              quantity: 2
          items:
            $ref: '#/components/schemas/WmsOrderWriteLineItemzenventory'
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
      required:
        - line_items
        - ship_to_address
      additionalProperties: false
      title: Zenventory
    WmsOrderApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the order.
          example: order_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the order. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        warehouse_id:
          type:
            - string
            - 'null'
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        created_date:
          type: string
          format: date-time
          description: The date the order was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the order was last updated.
          example: '2022-01-02T05:05:05Z'
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        order_number:
          type: string
          description: >-
            A user-friendly identifier for their order. Defaults to
            `reference_id` if not provided.
          example: order_number
        status:
          type: string
          enum:
            - open
            - confirmed
            - processing
            - picked
            - packed
            - partially_fulfilled
            - fulfilled
            - exception
            - cancelled
            - backordered
            - other
          description: >-
            The status of the order. See the [order information](info) for more
            details.
          example: open
        raw_status:
          type:
            - string
            - 'null'
          description: The raw status (if available) returned directly from the WMS.
          example: raw_status
        channel_object:
          anyOf:
            - $ref: '#/components/schemas/OrderChannel'
            - type: 'null'
        type:
          type:
            - string
            - 'null'
          enum:
            - d2c
            - b2b
            - dropship
            - transfer
          description: The type of order, such as d2c, b2b, dropship, or transfer.
          example: d2c
        trading_partner:
          type:
            - string
            - 'null'
          description: >-
            For retail/EDI orders, the trading partner who placed the order
            (e.g. Target, Walmart).
          example: Target
        service_level:
          type:
            - string
            - 'null'
          description: The type of shipping method requested by the customer.
          example: Standard
        shipping_method_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. May vary from the shipping methods returned at
            the package level.
          example: fedex_ground
        shipping_method_name:
          type:
            - string
            - 'null'
          description: The name of the shipping method used to ship the order.
          example: FedEx Ground
        carrier_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the carrier used to ship the order to the customer. May
            vary from the carriers returned at the package level.
          example: fedex
        carrier_name:
          type:
            - string
            - 'null'
          description: >-
            The name of the carrier used to ship the order to the customer. If
            carrier_id is also provided, that will take precedence. May vary
            from the carriers returned at the package level.
          example: FedEx
        scac:
          type:
            - string
            - 'null'
          description: >-
            The Standard Carrier Alpha Code for the carrier used to ship the
            order.
        is_third_party_freight:
          type:
            - boolean
            - 'null'
          description: True if the order was shipped using a third party freight account.
          example: false
        third_party_freight_account_number:
          type:
            - string
            - 'null'
          description: The third party freight account number used to ship the order.
          example: '123456'
        first_party_freight_account_number:
          type:
            - string
            - 'null'
          description: The first party freight account number used to ship the order.
          example: '123456'
        invoice_currency_code:
          type: string
          description: >-
            The currency used for this order. If not provided explicitly,
            defaults to USD.
          example: USD
        total_price:
          type:
            - number
            - 'null'
          description: The total price a customer paid for the order.
          example: 13.49
        total_tax:
          type:
            - number
            - 'null'
          description: The total tax on the order.
          example: 1.5
        total_discount:
          type:
            - number
            - 'null'
          description: The total amount discounted from the order.
          example: 2.5
        total_shipping:
          type:
            - number
            - 'null'
          description: The total shipping cost for the order incurred by the customer.
          example: 3.5
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddress'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - product_id: product_id
              sku: sku
              quantity: 1
              unit_price: 10.99
              discount_amount: 1.5
          items:
            $ref: '#/components/schemas/WmsOrderLineItem'
        tags:
          type: array
          description: >-
            A list of tags associated with the order. Tags that are represented
            as key-value pairs in the WMS will be represented as a single string
            formatted as `key:value`.
          example:
            - tag_0
          items:
            type: string
            description: A tag associated with the order.
            example: tag_0
        required_ship_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the order must be shipped by.
          example: '2021-01-01T12:00:00Z'
        saturday_delivery:
          type:
            - boolean
            - 'null'
          description: True if the order requires Saturday delivery.
          example: false
        signature_required:
          type:
            - boolean
            - 'null'
          description: True if the order requires a signature upon delivery.
          example: false
        international_duty_paid_by:
          type:
            - string
            - 'null'
          enum:
            - sender
            - recipient
            - third_party
          description: The party responsible for paying international duties.
          example: sender
        shipments:
          type: array
          description: List of the shipments sent out to the customer.
          example:
            - shipment_id: shipment_id
              warehouse_id: wh_id
              shipped_date: '2022-05-06T01:02:03Z'
              raw_status: raw_status
              status: shipped
              line_items:
                - inventory_item_id: item_id
                  sku: sku
                  quantity: 1
                  parent_product_id: null
              ship_to_address:
                full_name: John Doe
                company: company
                address1: address1
                address2: address2
                address3: address3
                city: city
                state: state
                postal_code: postal_code
                country: country
              ship_from_address:
                address1: address1
                address2: address2
                address3: address3
                city: city
                state: state
                postal_code: postal_code
                country: country
              packages:
                - package_id: package_id
                  package_name: package_name
                  tracking_number: tracking_number
                  tracking_url: tracking_url
                  shipping_method_id: shipping_method_id
                  shipping_method_name: shipping_method_name
                  carrier_id: carrier_id
                  carrier_name: carrier_name
                  scac: scac
                  shipping_cost: 1
                  measurements:
                    length: 1
                    width: 1
                    height: 1
                    unit: in
                    weight: 1
                    weight_unit: lb
                  line_items:
                    - inventory_item_id: item_id
                      sku: sku
                      quantity: 1
                      lot_id: lot_id
                      expiration_date: '2022-06-06T01:02:03Z'
                      parent_product_id: null
          items:
            $ref: '#/components/schemas/OrderShipment'
        external_system_url:
          type:
            - string
            - 'null'
          description: URL link to the order in the external system (WMS/Freight etc).
          example: https://example.com/order/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - carrier_id
        - carrier_name
        - channel_object
        - created_date
        - external_system_url
        - first_party_freight_account_number
        - id
        - international_duty_paid_by
        - invoice_currency_code
        - is_third_party_freight
        - line_items
        - order_number
        - raw_status
        - reference_id
        - required_ship_date
        - saturday_delivery
        - scac
        - service_level
        - ship_to_address
        - shipments
        - shipping_method_id
        - shipping_method_name
        - signature_required
        - status
        - tags
        - third_party_freight_account_number
        - total_discount
        - total_price
        - total_shipping
        - total_tax
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - trading_partner
        - type
        - updated_date
        - warehouse_customer_id
        - warehouse_id
      additionalProperties: false
      title: WmsOrderApiItemSchema
    ChannelSchema:
      type: object
      properties: {}
      additionalProperties: false
      oneOf:
        - $ref: '#/components/schemas/ChannelId'
        - $ref: '#/components/schemas/ChannelName'
      discriminator:
        propertyName: type
        mapping:
          id:
            $ref: '#/components/schemas/ChannelId'
          name:
            $ref: '#/components/schemas/ChannelName'
      title: ChannelSchema
    UpdateOWmsrderShipToAddress:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        company:
          type: string
          description: ''
          example: Company
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      additionalProperties: true
      title: UpdateOWmsrderShipToAddress
    UpdateWmsOrderLineItems:
      type: object
      properties:
        product_id:
          type: string
          description: >-
            Can be passed into the
            [Product](/api-reference/wms-api/products/get-item) endpoint for
            more details.
          example: product_id
        sku:
          type: string
          description: ''
          example: sku
        quantity:
          type: integer
          description: ''
          example: 1
        unit_price:
          type: number
          description: >-
            The price of the product in the currency specified by
            `invoice_currency_code`.
          example: 10.99
        discount_amount:
          type: number
          description: The amount per unit discounted from the product for this order.
          example: 1.5
      additionalProperties: true
      title: UpdateWmsOrderLineItems
    ShipToAddressAmphora:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        company:
          type: string
          description: ''
          example: Company
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
        phone_number:
          type: string
          description: ''
          example: '+1234567890'
        email_address:
          type: string
          description: ''
          example: user@example.com
      required:
        - address1
        - city
        - country
        - full_name
        - postal_code
      additionalProperties: false
      title: ShipToAddressAmphora
    ShipToAddressBluebox:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        company:
          type: string
          description: ''
          example: Company
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - full_name
        - postal_code
        - state
      additionalProperties: false
      title: ShipToAddressBluebox
    WmsOrderCreateLineItembluebox:
      type: object
      properties:
        sku:
          type: string
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
        unit_price:
          type: number
          description: ''
          example: 0
      required:
        - quantity
        - sku
      additionalProperties: false
      title: WmsOrderCreateLineItembluebox
    ShipToAddressDear-Systems:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        company:
          type: string
          description: ''
          example: Company
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - full_name
        - postal_code
        - state
      additionalProperties: false
      title: ShipToAddressDear-Systems
    BillToAddressDear-Systems:
      type: object
      properties:
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
      required:
        - address1
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: BillToAddressDear-Systems
    WmsOrderWriteLineItemdear-systems:
      type: object
      properties:
        product_id:
          type: string
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
        unit_price:
          type: number
          description: ''
          example: 0
        tax:
          type: number
          description: ''
          example: 0
      required:
        - product_id
        - quantity
        - tax
        - unit_price
      additionalProperties: false
      title: WmsOrderWriteLineItemdear-systems
    OrderShipToAddressUpdateDeposco:
      type: object
      properties:
        full_name:
          type: string
          description: ''
          example: John Doe
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
        phone_number:
          type: string
          description: ''
          example: 123-456-7890
      required:
        - address1
        - city
        - country
      additionalProperties: false
      title: OrderShipToAddressUpdateDeposco
    WmsOrderWriteLineItemdeposco:
      type: object
      properties:
        sku:
          type: string
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
        unit_price:
          type: number
          description: ''
          example: 0
        notes:
          type: array
          description: List of notes for this line item
          example:
            - title: Note Title
              body: Note Body
          items:
            $ref: '#/components/schemas/LineItemNotes'
      required:
        - quantity
        - sku
      additionalProperties: false
      title: WmsOrderWriteLineItemdeposco
    Notes:
      type: object
      properties:
        title:
          type: string
          description: Title of the note
        body:
          type: string
          description: Body of the note
      required:
        - body
        - title
      additionalProperties: false
      title: Notes
    ShipToAddressExtensiv:
      type: object
      properties:
        full_name:
          type: string
        company:
          type: string
        address1:
          type: string
        address2:
          type: string
        city:
          type: string
        state:
          type: string
        postal_code:
          type: string
        country:
          type: string
        email_address:
          type: string
        phone_number:
          type: string
      required:
        - address1
        - city
        - country
        - postal_code
      additionalProperties: false
      title: ShipToAddressExtensiv
    WmsOrderWriteLineItemextensiv-3pl-central:
      type: object
      properties:
        product_id:
          type: string
          description: ''
        sku:
          type: string
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
        unit_price:
          type: number
          description: ''
          example: 0
        custom_fields:
          type: array
          description: List of the custom fields
          example:
            - name: CustomField
              value: CustomValue
          items:
            $ref: '#/components/schemas/CustomField'
      required:
        - quantity
      additionalProperties: false
      title: WmsOrderWriteLineItemextensiv-3pl-central
    CustomField:
      type: object
      properties:
        name:
          type: string
          description: Name of the custom field
        value:
          type: string
          description: Value of the custom field
      required:
        - name
        - value
      additionalProperties: false
      title: CustomField
    BillToAddressExtensiv:
      type: object
      properties:
        full_name:
          type: string
        company:
          type: string
        address1:
          type: string
        address2:
          type: string
        city:
          type: string
        state:
          type: string
        postal_code:
          type: string
        country:
          type: string
        retailer_id:
          type: integer
          description: Retailer ID to bill the order to
          example: 0
      required:
        - address1
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: BillToAddressExtensiv
    ShipToAddressFfe:
      type: object
      properties:
        company:
          type: string
          description: ''
          example: Company
        address1:
          type: string
          description: ''
          example: 123 Main St
        address2:
          type: string
          description: ''
          example: Apt 2
        city:
          type: string
          description: ''
          example: San Francisco
        state:
          type: string
          description: ''
          example: CA
        postal_code:
          type: string
          description: ''
          example: '94105'
        country:
          type: string
          description: ''
          example: United States
        first_name:
          type: string
          description: The first name of the recipient.
          example: first_name
        last_name:
          type: string
          description: The last name of the recipient.
          example: last_name
        phone:
          type: string
          pattern: \d{3}-\d{3}-\d{4}$
          description: The phone number of the customer.
          example: 111-111-1111
        email:
          type: string
          pattern: ^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$
          description: The email address of the customer.
          example: johnsmith@gmail.com
      required:
        - address1
        - city
        - company
        - country
        - first_name
        - last_name
        - postal_code
        - state
      additionalProperties: false
      title: ShipToAddressFfe
    WmsOrderCreateLineItemffe:
      type: object
      properties:
        sku:
          type: string
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
        external_id:
          type: string
          description: The retail item number for this line item
          example: retail item number
      required:
        - quantity
        - sku
[...]
